Skip to main content
PATCH
/
{tenant_slug}
/
vulnerabilities
/
{vulnerability}
/
triage
Triage vulnerability
curl --request PATCH \
  --url https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/triage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>",
  "status_version": "<string>"
}
'
import requests

url = "https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/triage"

payload = {
"reason": "<string>",
"status_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', status_version: '<string>'})
};

fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/triage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "vulnerability": {
    "id": "<string>",
    "status": "<string>",
    "resolution": "<string>",
    "status_version": "<string>",
    "confirmed": true,
    "triaged": true,
    "resolved_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use a Cysmiq API token in the Authorization header: Bearer {token}.

Path Parameters

vulnerability
string
required

Vulnerability prefixed id (vc_...).

Body

application/json
state
enum<string>
required
Available options:
open,
fixed,
accepted,
ignored
reason
string | null
Maximum string length: 1000
status_version
string | null
Maximum string length: 255

Response

Updated vulnerability triage state.

vulnerability
object
required